Set Container Environment Variables
curl --request PUT \
--url https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env"
payload = {}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"packageId": "<string>",
"image": "<string>",
"imageName": "<string>",
"imageNamespace": "<string>",
"imageTag": "<string>",
"imageRegistryId": "<string>",
"imageDigest": "<string>",
"entryPoint": {
"command": "<string>",
"commandArray": [
"<string>"
],
"arguments": "<string>",
"argumentsArray": [
"<string>"
],
"workingDirectory": "<string>"
},
"probes": {
"startup": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"readiness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"liveness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
}
},
"environmentVariables": [
{
"name": "<string>",
"value": "<string>"
}
],
"endpoints": [
{
"displayName": "<string>",
"publicHost": "<string>",
"isSslEnabled": true,
"pullZoneId": "<string>",
"portMappings": [
{
"containerPort": 123,
"exposedPort": 123,
"protocols": []
}
],
"stickySessions": {
"enabled": true,
"sessionHeaders": [
"<string>"
],
"cookieName": "<string>"
},
"internalIpAddresses": [
{
"address": "<string>",
"region": "<string>"
}
],
"publicIpAddresses": [
{
"address": "<string>",
"region": "<string>"
}
]
}
],
"volumeMounts": [
{
"name": "<string>",
"mountPath": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}Containers
Set Container Environment Variables
Replaces all environment variables for a container template. All existing environment variables will be removed and replaced with the provided set.
PUT
/
apps
/
{appId}
/
containers
/
{containerId}
/
env
Set Container Environment Variables
Authorizations
Please enter a valid personal API key.
Path Parameters
The ID of the application
The ID of the container template
Body
application/jsontext/jsonapplication/*+json
A JSON object where each key is the variable name and each value is the variable value
Response
Environment variables were successfully replaced.
Container template model
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
always, ifNotPresent Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on June 26, 2026
Was this page helpful?
⌘I